From 9e392832e6b911cf78374613e8c728570ba3961a Mon Sep 17 00:00:00 2001
From: Yauheni Kaliuta <yauheni.kaliuta@nokia.com>
Date: Fri, 25 Aug 2006 15:38:59 +0000
Subject: [PATCH] fixed locales

---
 debian/changelog                 |    6 ++++++
 debian/patches/00list.armel      |    2 ++
 debian/patches/locale-en_US.diff |   34 ++++++++++++++++++++++++++++++++++
 debian/patches/locale-pl_PL.diff |   33 +++++++++++++++++++++++++++++++++
 4 files changed, 75 insertions(+), 0 deletions(-)

diff --git a/debian/changelog b/debian/changelog
index ec72738..f2aa675 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -1,3 +1,9 @@
+glibc (2.3.5cs2005q3.2-4.osso17) experimental; urgency=low
+
+  * Fixed en_US and pl_PL locales
+
+ -- Yauheni Kaliuta <yauheni.kaliuta@nokia.com>  Fri, 25 Aug 2006 18:38:46 +0300
+
 glibc (2.3.5cs2005q3.2-4.osso16) experimental; urgency=low
 
   * Remove  memset() optimization. 
diff --git a/debian/patches/00list.armel b/debian/patches/00list.armel
index b640ea4..2f5044b 100644
--- a/debian/patches/00list.armel
+++ b/debian/patches/00list.armel
@@ -2,4 +2,6 @@ run-program-prefix
 string-arm-opt
 memory-arm-opt
 arm-thumb-relocation
+locale-en_US
+locale-pl_PL
 
diff --git a/debian/patches/locale-en_US.diff b/debian/patches/locale-en_US.diff
new file mode 100644
index 0000000..4d5e30c
--- /dev/null
+++ b/debian/patches/locale-en_US.diff
@@ -0,0 +1,34 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Description: fix ioperm build error on arm
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p0 < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p0 < $0;;
+    *)
+	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+	exit 1
+esac
+exit 0
+
+===================================================================
+RCS file: /cvs/glibc/libc/localedata/locales/en_US,v
+retrieving revision 1.11
+retrieving revision 1.12
+diff -u -r1.11 -r1.12
+--- libc/localedata/locales/en_US	2005/09/30 00:00:42	1.11
++++ libc/localedata/locales/en_US	2006/04/10 18:13:32	1.12
+@@ -81,7 +81,7 @@
+ 	"<U0046><U0072><U0069><U0064><U0061><U0079>";/
+ 	"<U0053><U0061><U0074><U0075><U0072><U0064><U0061><U0079>"
+ 
+-week    7;19971201;4
++week    7;19971130;7
+ abmon	"<U004A><U0061><U006E>";"<U0046><U0065><U0062>";/
+ 	"<U004D><U0061><U0072>";"<U0041><U0070><U0072>";/
+ 	"<U004D><U0061><U0079>";"<U004A><U0075><U006E>";/
diff --git a/debian/patches/locale-pl_PL.diff b/debian/patches/locale-pl_PL.diff
new file mode 100644
index 0000000..d83dc6f
--- /dev/null
+++ b/debian/patches/locale-pl_PL.diff
@@ -0,0 +1,33 @@
+#! /bin/sh -e
+
+# All lines beginning with `# DP:' are a description of the patch.
+# DP: Description: fix ioperm build error on arm
+
+if [ $# -ne 2 ]; then
+    echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+    exit 1
+fi
+case "$1" in
+    -patch) patch -d "$2" -f --no-backup-if-mismatch -p0 < $0;;
+    -unpatch) patch -d "$2" -f --no-backup-if-mismatch -R -p0 < $0;;
+    *)
+	echo >&2 "`basename $0`: script expects -patch|-unpatch as argument"
+	exit 1
+esac
+exit 0
+
+===================================================================
+RCS file: /cvs/glibc/libc/localedata/locales/pl_PL,v
+retrieving revision 1.14
+retrieving revision 1.15
+diff -u -r1.14 -r1.15
+--- libc/localedata/locales/pl_PL	2004/10/31 23:42:27	1.14
++++ libc/localedata/locales/pl_PL	2006/04/10 18:09:58	1.15
+@@ -2183,6 +2183,7 @@
+ date_fmt       "<U0025><U0061><U0020><U0025><U0062><U0020><U0025><U0065>/
+ <U0020><U0025><U0048><U003A><U0025><U004D><U003A><U0025><U0053><U0020>/
+ <U0025><U005A><U0020><U0025><U0059>"
++week	7;19971201;4
+ END LC_TIME
+ 
+ LC_PAPER
-- 
1.4.3.5

